package com.backendsys.modules.system.service;

import java.util.Map;

public interface SysUserIntegralService {

    // 初始化用户积分
    void init(Long user_id);
    // 查询积分
    Integer selectIntegralByUserId(Long user_id);
    // 增加积分
    Map<String, Object> increase(Long user_id, Integer integral);
    // 减少积分
    Map<String, Object> decrease(Long user_id, Integer integral);

}
